"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Overline = exports.Caption = exports.ButtonText = exports.Body1 = exports.Body2 = exports.Subtitle2 = exports.Subtitle1 = exports.H6 = exports.H5 = exports.H4 = exports.H3 = exports.H2 = exports.H1 = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const H1 = props => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
    style: [styles.H1, props === null || props === void 0 ? void 0 : props.style]
  }));
};

exports.H1 = H1;

const H2 = props => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
    style: [styles.H2, props === null || props === void 0 ? void 0 : props.style]
  }));
};

exports.H2 = H2;

const H3 = props => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
    style: [styles.H3, props === null || props === void 0 ? void 0 : props.style]
  }));
};

exports.H3 = H3;

const H4 = props => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
    style: [styles.H4, props === null || props === void 0 ? void 0 : props.style]
  }));
};

exports.H4 = H4;

const H5 = props => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
    style: [styles.H5, props === null || props === void 0 ? void 0 : props.style]
  }));
};

exports.H5 = H5;

const H6 = props => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
    style: [styles.H6, props === null || props === void 0 ? void 0 : props.style]
  }));
};

exports.H6 = H6;

const Subtitle1 = props => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
    style: [styles.SubTitle1, props === null || props === void 0 ? void 0 : props.style]
  }));
};

exports.Subtitle1 = Subtitle1;

const Subtitle2 = props => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
    style: [styles.SubTitle2, props === null || props === void 0 ? void 0 : props.style]
  }));
};

exports.Subtitle2 = Subtitle2;

const Body1 = props => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
    style: [styles.Body1, props === null || props === void 0 ? void 0 : props.style]
  }));
};

exports.Body1 = Body1;

const Body2 = props => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
    style: [styles.Body2, props === null || props === void 0 ? void 0 : props.style]
  }));
};

exports.Body2 = Body2;

const ButtonText = props => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
    style: [styles.ButtonText, props === null || props === void 0 ? void 0 : props.style]
  }));
};

exports.ButtonText = ButtonText;

const Caption = props => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
    style: [styles.Caption, props === null || props === void 0 ? void 0 : props.style]
  }));
};

exports.Caption = Caption;

const Overline = props => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
    style: [styles.OverLine, props === null || props === void 0 ? void 0 : props.style]
  }));
};

exports.Overline = Overline;

const styles = _reactNative.StyleSheet.create({
  H1: {
    fontSize: 96,
    color: '#333',
    fontWeight: '200',
    letterSpacing: -1.5
  },
  H2: {
    fontSize: 60,
    color: '#333',
    fontWeight: '200',
    letterSpacing: -0.5
  },
  H3: {
    fontSize: 48,
    color: '#333',
    letterSpacing: 0
  },
  H4: {
    fontSize: 34,
    color: '#333',
    letterSpacing: 0.25
  },
  H5: {
    fontSize: 24,
    color: '#333',
    letterSpacing: 0
  },
  H6: {
    fontSize: 20,
    color: '#333',
    fontWeight: '600',
    letterSpacing: 0.15
  },
  SubTitle1: {
    fontSize: 16,
    color: '#333',
    fontWeight: 'normal',
    letterSpacing: 0.15
  },
  SubTitle2: {
    fontSize: 14,
    color: '#333',
    fontWeight: 'bold',
    letterSpacing: 0.1
  },
  Body1: {
    fontSize: 16,
    color: '#333',
    fontWeight: 'normal',
    letterSpacing: 0.5
  },
  Body2: {
    fontSize: 14,
    color: '#333',
    fontWeight: 'normal',
    letterSpacing: 0.25
  },
  ButtonText: {
    fontSize: 14,
    color: '#333',
    fontWeight: 'bold',
    letterSpacing: 1.25
  },
  Caption: {
    fontSize: 12,
    color: '#333',
    fontWeight: 'normal',
    letterSpacing: 0.4
  },
  OverLine: {
    fontSize: 10,
    color: '#333',
    fontWeight: 'normal',
    letterSpacing: 1.5
  }
});
//# sourceMappingURL=Typography.js.map