function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { StyleSheet, Text } from 'react-native'; // @ts-ignore

const H1 = props => {
  return /*#__PURE__*/React.createElement(Text, _extends({}, props, {
    style: [styles.H1, props === null || props === void 0 ? void 0 : props.style]
  }));
};

const H2 = props => {
  return /*#__PURE__*/React.createElement(Text, _extends({}, props, {
    style: [styles.H2, props === null || props === void 0 ? void 0 : props.style]
  }));
};

const H3 = props => {
  return /*#__PURE__*/React.createElement(Text, _extends({}, props, {
    style: [styles.H3, props === null || props === void 0 ? void 0 : props.style]
  }));
};

const H4 = props => {
  return /*#__PURE__*/React.createElement(Text, _extends({}, props, {
    style: [styles.H4, props === null || props === void 0 ? void 0 : props.style]
  }));
};

const H5 = props => {
  return /*#__PURE__*/React.createElement(Text, _extends({}, props, {
    style: [styles.H5, props === null || props === void 0 ? void 0 : props.style]
  }));
};

const H6 = props => {
  return /*#__PURE__*/React.createElement(Text, _extends({}, props, {
    style: [styles.H6, props === null || props === void 0 ? void 0 : props.style]
  }));
};

const Subtitle1 = props => {
  return /*#__PURE__*/React.createElement(Text, _extends({}, props, {
    style: [styles.SubTitle1, props === null || props === void 0 ? void 0 : props.style]
  }));
};

const Subtitle2 = props => {
  return /*#__PURE__*/React.createElement(Text, _extends({}, props, {
    style: [styles.SubTitle2, props === null || props === void 0 ? void 0 : props.style]
  }));
};

const Body1 = props => {
  return /*#__PURE__*/React.createElement(Text, _extends({}, props, {
    style: [styles.Body1, props === null || props === void 0 ? void 0 : props.style]
  }));
};

const Body2 = props => {
  return /*#__PURE__*/React.createElement(Text, _extends({}, props, {
    style: [styles.Body2, props === null || props === void 0 ? void 0 : props.style]
  }));
};

const ButtonText = props => {
  return /*#__PURE__*/React.createElement(Text, _extends({}, props, {
    style: [styles.ButtonText, props === null || props === void 0 ? void 0 : props.style]
  }));
};

const Caption = props => {
  return /*#__PURE__*/React.createElement(Text, _extends({}, props, {
    style: [styles.Caption, props === null || props === void 0 ? void 0 : props.style]
  }));
};

const Overline = props => {
  return /*#__PURE__*/React.createElement(Text, _extends({}, props, {
    style: [styles.OverLine, props === null || props === void 0 ? void 0 : props.style]
  }));
};

const styles = StyleSheet.create({
  H1: {
    fontSize: 96,
    color: '#333',
    fontWeight: '200',
    letterSpacing: -1.5
  },
  H2: {
    fontSize: 60,
    color: '#333',
    fontWeight: '200',
    letterSpacing: -0.5
  },
  H3: {
    fontSize: 48,
    color: '#333',
    letterSpacing: 0
  },
  H4: {
    fontSize: 34,
    color: '#333',
    letterSpacing: 0.25
  },
  H5: {
    fontSize: 24,
    color: '#333',
    letterSpacing: 0
  },
  H6: {
    fontSize: 20,
    color: '#333',
    fontWeight: '600',
    letterSpacing: 0.15
  },
  SubTitle1: {
    fontSize: 16,
    color: '#333',
    fontWeight: 'normal',
    letterSpacing: 0.15
  },
  SubTitle2: {
    fontSize: 14,
    color: '#333',
    fontWeight: 'bold',
    letterSpacing: 0.1
  },
  Body1: {
    fontSize: 16,
    color: '#333',
    fontWeight: 'normal',
    letterSpacing: 0.5
  },
  Body2: {
    fontSize: 14,
    color: '#333',
    fontWeight: 'normal',
    letterSpacing: 0.25
  },
  ButtonText: {
    fontSize: 14,
    color: '#333',
    fontWeight: 'bold',
    letterSpacing: 1.25
  },
  Caption: {
    fontSize: 12,
    color: '#333',
    fontWeight: 'normal',
    letterSpacing: 0.4
  },
  OverLine: {
    fontSize: 10,
    color: '#333',
    fontWeight: 'normal',
    letterSpacing: 1.5
  }
});
export { H1, H2, H3, H4, H5, H6, Subtitle1, Subtitle2, Body2, Body1, ButtonText, Caption, Overline };
//# sourceMappingURL=Typography.js.map